Bug 1014994 - gnome-weather click on city crashes and brings down desktop
gnome-weather click on city crashes and brings down desktop
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-weather (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Zeeshan Ali
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 05:35 EDT by Jens Petersen
Modified: 2016-09-19 21:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 08:33:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-10-03 05:35:24 EDT
Description of problem:
gnome-weather seems a bit unstable.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
[A] shell crash
1. LANG=ja_JP.utf8 gnome-weather
2. add city 東京 (Tokyo)
3. click on city status icon

[B] weather crash
1. LANG=en_US.utf8 gnome-weather
2. add city
3. Weather crashes

Actual results:
A. desktop crashes and returns to gdm screen
B. app crashes

Expected results:
No application crash and no gnome-shell crash!

Additional info:
For B:

    JS ERROR: !!!   Exception was: Error: 37462192 is not a valid value for enumeration LocationLevel
    JS ERROR: !!!     message = '"37462192 is not a valid value for enumeration LocationLevel"'
    JS ERROR: !!!     fileName = '"/usr/share/gnome-weather/window.js"'
    JS ERROR: !!!     lineNumber = '229'
    JS ERROR: !!!     stack = '"()@/usr/share/gnome-weather/window.js:229
([object GObject_Object],null,[object GObject_Boxed])@/usr/share/gnome-weather/window.js:269
wrapper([object GObject_Object],null,[object GObject_Boxed])@/usr/share/gjs-1.0/lang.js:213
main([object Array])@/usr/share/gnome-weather/main.js:88
start([object Object])@/usr/share/gnome-weather/package.js:141
Comment 2 Zeeshan Ali 2013-11-27 09:16:55 EST
I'm unable to reproduce this in a VM created against RHEL-7.0-20131016.1-Workstation-x86_64-dvd1.iso . Neither the JP nor US one.
Comment 3 Jens Petersen 2013-11-27 20:24:21 EST
I can't reproduce either in my up-to-date instance from RHEL7-20131115.2.
I guess this can be closed now perhaps it got fixed via some other component.
Comment 5 Vladimir Benes 2014-04-24 16:07:57 EDT
Cannot see any crash with comment #0 reproducer
Comment 6 Ludek Smid 2014-06-13 08:33:56 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.